@mixin clearfix {
  &:after {
    content: "";
    display: table;
    clear: both;
  }
}
@mixin absCenter {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
//media query manger
/* 
0-600px :     phone
600-900px :   tablet-portrait
900-1200px :  tablet-landscape
1200-1800px : desktop (is where your normal styles apply)
1800px + :    big desktop

$breakpoints argument choices:
- phone
- tab-port
- tab-land
- big-desktop


order: base + typography > general layout + grid > page layout > components 

1em = 16px

*/
@mixin respond($breakpoints) {
  @if $breakpoints == phone {
    @media (max-width: 37.5em) {
      @content; //600px
    }
  }
  @if $breakpoints == tab-port {
    @media (max-width: 56.25em) {
      @content; //900px
    }
  }
  @if $breakpoints == tab-land {
    @media (max-width: 75em) {
      @content; //1200px
    }
  }
  @if $breakpoints == big-desktop {
    @media (max-width: 112.5em) {
      @content; //1800px
    }
  }
}
